> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relay.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Gasless Txs

> This API executes gasless transactions



## OpenAPI

````yaml post /execute
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /execute:
    post:
      parameters:
        - schema:
            type: string
          in: header
          name: x-api-key
          required: true
          description: >-
            Required API key for authentication. Contact the team for getting an
            API Key
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                executionKind:
                  type: string
                  description: >-
                    The kind of gasless transaction to execute. Currently
                    supported: rawCalls
                  enum:
                    - rawCalls
                data:
                  type: object
                  description: Raw call parameters for the gasless transaction
                  properties:
                    chainId:
                      type: integer
                      description: Chain ID of the EVM network
                    to:
                      type: string
                      description: Address of the contract to call
                    data:
                      type: string
                      description: Encoded function call data
                    value:
                      type: string
                      description: ETH value to send with the call (in wei)
                    authorizationList:
                      type: array
                      items:
                        type: object
                        properties:
                          chainId:
                            type: number
                          address:
                            type: string
                            pattern: ^0x[a-fA-F0-9]{40}$
                          nonce:
                            type: number
                          yParity:
                            type: number
                          r:
                            type: string
                          s:
                            type: string
                        required:
                          - chainId
                          - address
                          - nonce
                          - yParity
                          - r
                          - s
                      description: >-
                        Authorization list for EIP-7702 transactions to be
                        executed on destination chain
                  required:
                    - chainId
                    - to
                    - data
                    - value
                executionOptions:
                  type: object
                  description: >-
                    Options related to gas fee sponsorship, app referrer and
                    destination calls
                  properties:
                    referrer:
                      type: string
                      description: >-
                        The referrer of the app which is executing the gasless
                        transaction
                    subsidizeFees:
                      type: boolean
                      description: >-
                        If the app should pay for the fees associated with the
                        request
                    destinationChainExecutionData:
                      type: object
                      description: Destination execution data for the gasless transaction
                      properties:
                        calls:
                          type: array
                          minItems: 1
                          description: Calls to be executed on the destination chain
                          items:
                            type: object
                            properties:
                              to:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                              value:
                                type: string
                              data:
                                type: string
                                pattern: ^0x[a-fA-F0-9]*$
                        authorizationList:
                          type: array
                          items:
                            type: object
                            properties:
                              chainId:
                                type: number
                              address:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                              nonce:
                                type: number
                              yParity:
                                type: number
                              r:
                                type: string
                              s:
                                type: string
                            required:
                              - chainId
                              - address
                              - nonce
                              - yParity
                              - r
                              - s
                          description: >-
                            Authorization list for EIP-7702 transactions to be
                            executed on destination chain
                      required:
                        - calls
                  required:
                    - referrer
                    - subsidizeFees
                requestId:
                  type: string
                  description: The request ID of the gasless transaction to execute
              required:
                - executionKind
                - data
                - executionOptions
        required: true
      responses:
        '200':
          description: Transaction successfully queued for execution
          content:
            application/json:
              schema:
                description: Transaction successfully queued for execution
                type: object
                properties:
                  message:
                    type: string
                    example: Transaction submitted
                  requestId:
                    type: string
                    example: 0xabc123...
        '400':
          description: Bad Request - Invalid input or simulation failure
          content:
            application/json:
              schema:
                description: Bad Request - Invalid input or simulation failure
                type: object
                oneOf:
                  - description: Validation Error
                    type: object
                    properties:
                      error:
                        type: string
                        example: to is required
                  - description: Validation Error
                    type: object
                    properties:
                      error:
                        type: string
                        example: data is required
                  - description: Validation Error
                    type: object
                    properties:
                      error:
                        type: string
                        example: value is required
                  - description: Validation Error
                    type: object
                    properties:
                      error:
                        type: string
                        example: chainId is required
                  - description: Validation Error
                    type: object
                    properties:
                      error:
                        type: string
                        example: authorizationList cannot be empty
                  - description: Simulation Error
                    type: object
                    properties:
                      error:
                        type: string
                        example: SimulationError
                      message:
                        type: string
                        example: 'execution reverted: invalid opcode'
        '401':
          description: Unauthorized - Missing or invalid API key or referrer
          content:
            application/json:
              schema:
                description: Unauthorized - Missing or invalid API key or referrer
                type: object
                properties:
                  error:
                    type: string
                    example: Unauthorized
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                description: Internal Server Error
                type: object
                properties:
                  error:
                    type: string
                    example: Internal server error

````